#### PyKDE - Python Bindings for KDE

# class KFileMimeTypeInfo |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KFileMimeTypeInfo
Inherits |

### enums

- Attributes = {Addable = 1, Removable = 2, Modifiable = 4, Cumulative = 8, Cummulative = Cumulative , Averaged = 16, MultiLine = 32, SqueezeText = 64 }
- Attributes = {Addable = 1, Removable = 2, Modifiable = 4, Cummulative = 8, Averaged = 16, MultiLine = 32, SqueezeText = 64 }
- Attributes = {Addable = 1, Removable = 2, Modifiable = 4, Cummulative = 8, Averaged = 16 }
- Hint = {NoHint = 0, Name = 1, Author = 2, Description = 3, Width = 4, Height = 5, Size = 6, Bitrate = 7, Length = 8, Hidden = 9, Thumbnail = 10 }
- Unit = {NoUnit = 0, Seconds = 1, MilliSeconds = 2, BitsPerSecond = 3, Pixels = 4, Inches = 5, Centimeters = 6, Bytes = 7, FramesPerSecond = 8, DotsPerInch = 9, BitsPerPixel = 10, Hertz = 11, KiloBytes = 12, Millimeters = 13 }

### methods

- KFileMimeTypeInfo ()

  returns a KFileMimeTypeInfo instance

- KFileMimeTypeInfo (mimeType)

  returns a KFileMimeTypeInfo instance
  Argument | Type | Default
  --- | --- | ---
  mimeType | QString |

- addGroupInfo (name, translatedName)

  returns (KFileMimeTypeInfo.GroupInfo)
  Argument | Type | Default
  --- | --- | ---
  name | QString |
  translatedName | QString |

- createValidator (group, key, parent = 0, name = 0)

  returns (QValidator)
  Argument | Type | Default
  --- | --- | ---
  group | QString |
  key | QString |
  parent | QObject | 0
  name | char | 0

- groupInfo (group)

  returns (KFileMimeTypeInfo.GroupInfo)
  Argument | Type | Default
  --- | --- | ---
  group | QString |

- mimeType ()

  returns (QString)

- preferredGroups ()

  returns (QStringList)

- preferredKeys ()

  returns (QStringList)

- supportedGroups ()

  returns (QStringList)

- supportedKeys ()

  returns (QStringList)

- translatedGroups ()

  returns (QStringList)

### variables

- variables

  Variable | Type
  --- | ---
  m_attr | uint
  m_itemDict | QDict
  m_supportedKeys | QStringList
  m_translatedName | QString